View Issue Details

IDProjectCategoryLast Update
0021763AI War 2[All Projects] Bug - GameplayOct 12, 2019 2:18 pm
Reporterwm46Assigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.898 Galactic Linkages 
Fixed in Version0.950 First Press Build 
Summary0021763: DoOnDestructionLogic only occurs once when multiple ships from a stack die from a single damage source
DescriptionWas going through the code trying to track down an issue with powerful attacks killing only one ship from a stack at a time, but happened upon this. At a quick glance, this will cause the regenerator golem to not revive all ships that were killed if they died from an exceptionally powerful attack.

So if we have a stack of "X" Minipods that get oneshot by some golem:

Take damage calculates that the first ship will die
Take damage calculates that Y amount of stacked ships will die also
Take damage applies leftover damage to the new top of the stack
This.DoOnDestructionLogic gets called one time at the end of all calculations

Maybe there should be a NumShipsKilled variable that gets passed through the destruction logic chain.

As a side note, when the destruction logic occurs it sets this.IHaveDiedSoPleaseDisregardAnyRequestForANewVisualObject to true whether or not it was the last ship in the stack that died. I have no idea what the implications of this is.
TagsNo tags attached.

Activities

BadgerBadger

Oct 10, 2019 12:43 pm

manager   ~0053573

Last edited: Oct 10, 2019 1:06 pm

View 2 revisions

Anyone have a save game for testing? Some work is done here

wm46

Oct 10, 2019 2:09 pm

reporter   ~0053574

What I was doing to test was using the test chamber with a modified devourer (300,000 damage per shot). Stacking works in the chamber, so it should be pretty easy to test.

BadgerBadger

Oct 12, 2019 2:18 pm

manager   ~0053626

I believe this is all fixed up now

Issue History

Date Modified Username Field Change
Oct 8, 2019 8:52 pm wm46 New Issue
Oct 10, 2019 12:43 pm BadgerBadger Assigned To => BadgerBadger
Oct 10, 2019 12:43 pm BadgerBadger Status new => assigned
Oct 10, 2019 12:43 pm BadgerBadger Note Added: 0053573
Oct 10, 2019 1:06 pm BadgerBadger Note Edited: 0053573 View Revisions
Oct 10, 2019 2:09 pm wm46 Note Added: 0053574
Oct 12, 2019 2:18 pm BadgerBadger Status assigned => resolved
Oct 12, 2019 2:18 pm BadgerBadger Resolution open => fixed
Oct 12, 2019 2:18 pm BadgerBadger Fixed in Version => 0.950 First Press Build
Oct 12, 2019 2:18 pm BadgerBadger Note Added: 0053626